Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZModuleFunctionInfo Class Reference

The class eZModuleFunctionInfo does. More...

## Public Member Functions
| __construct ( $moduleName)
| isValid ()
| loadDefinition ()
| isParameterArray ( $functionName, $parameterName)
| preExecute ( $functionName)
| execute ( $functionName, $functionParameters)
| objectForClass ( $className)
| executeClassMethod ( $className, $methodName, $functionParameterDefinitions, $functionParameters)

## Public Attributes
const | ERROR_NO_CLASS = 5
const | ERROR_NO_CLASS_METHOD = 6
const | ERROR_CLASS_INSTANTIATE_FAILED = 7
const | ERROR_MISSING_PARAMETER = 8
| $ModuleName
| $FunctionList
| $IsValid

## Detailed Description

The class eZModuleFunctionInfo does.

Definition at line 17 of file ezmodulefunctioninfo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZModuleFunctionInfo::__construct | ( |  | $moduleName | ) |

Constructor

Parameters

  string | $moduleName |

Definition at line 29 of file ezmodulefunctioninfo.php.

## Member Function Documentation

## ◆ execute()

eZModuleFunctionInfo::execute | ( |  | $functionName,
|  |  | $functionParameters
| ) |  |

Definition at line 150 of file ezmodulefunctioninfo.php.

References $ModuleName, ERROR_CLASS_INSTANTIATE_FAILED, ERROR_MISSING_PARAMETER, ERROR_NO_CLASS, ERROR_NO_CLASS_METHOD, executeClassMethod(), and eZDebug\writeError().

## ◆ executeClassMethod()

eZModuleFunctionInfo::executeClassMethod | ( |  | $className,
|  |  | $methodName,
|  |  | $functionParameterDefinitions,
|  |  | $functionParameters
| ) |  |

Definition at line 252 of file ezmodulefunctioninfo.php.

References ERROR_CLASS_INSTANTIATE_FAILED, ERROR_MISSING_PARAMETER, ERROR_NO_CLASS, ERROR_NO_CLASS_METHOD, and objectForClass().

Referenced by execute().

## ◆ isParameterArray()

eZModuleFunctionInfo::isParameterArray | ( |  | $functionName,
|  |  | $parameterName
| ) |  |

Check if a parameter for a function is an array

Parameters

  functionName | function name
  parameterName | parameter name

Returns
  true if parameter is supposed to be array

Definition at line 80 of file ezmodulefunctioninfo.php.

## ◆ isValid()

eZModuleFunctionInfo::isValid | ( |  | ) |

Definition at line 36 of file ezmodulefunctioninfo.php.

References $IsValid.

## ◆ loadDefinition()

eZModuleFunctionInfo::loadDefinition | ( |  | ) |

Definition at line 41 of file ezmodulefunctioninfo.php.

References $FunctionList, eZModule\globalPathList(), and eZDebug\writeError().

## ◆ objectForClass()

eZModuleFunctionInfo::objectForClass | ( |  | $className | ) |

Definition at line 239 of file ezmodulefunctioninfo.php.

Referenced by executeClassMethod(), and preExecute().

## ◆ preExecute()

eZModuleFunctionInfo::preExecute | ( |  | $functionName | ) |

Pre execute, used by template compilation to check as much as possible before runtime.

Parameters

  functionName | function name

Returns
  function definition, false if fails.

Definition at line 107 of file ezmodulefunctioninfo.php.

References $ModuleName, objectForClass(), and eZDebug\writeError().

## Member Data Documentation

## ◆ $FunctionList

eZModuleFunctionInfo::$FunctionList

Definition at line 304 of file ezmodulefunctioninfo.php.

Referenced by loadDefinition().

## ◆ $IsValid

eZModuleFunctionInfo::$IsValid

Definition at line 305 of file ezmodulefunctioninfo.php.

Referenced by isValid().

## ◆ $ModuleName

eZModuleFunctionInfo::$ModuleName

Definition at line 303 of file ezmodulefunctioninfo.php.

Referenced by execute(), and preExecute().

## ◆ ERROR_CLASS_INSTANTIATE_FAILED

const eZModuleFunctionInfo::ERROR_CLASS_INSTANTIATE_FAILED = 7

Definition at line 21 of file ezmodulefunctioninfo.php.

Referenced by execute(), and executeClassMethod().

## ◆ ERROR_MISSING_PARAMETER

const eZModuleFunctionInfo::ERROR_MISSING_PARAMETER = 8

Definition at line 22 of file ezmodulefunctioninfo.php.

Referenced by execute(), and executeClassMethod().

## ◆ ERROR_NO_CLASS

const eZModuleFunctionInfo::ERROR_NO_CLASS = 5

Definition at line 19 of file ezmodulefunctioninfo.php.

Referenced by execute(), and executeClassMethod().

## ◆ ERROR_NO_CLASS_METHOD

const eZModuleFunctionInfo::ERROR_NO_CLASS_METHOD = 6

Definition at line 20 of file ezmodulefunctioninfo.php.

Referenced by execute(), and executeClassMethod().

The documentation for this class was generated from the following file:

- ezmodulefunctioninfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.